---------------------
PatchSet 2591 
Date: 2001/07/10 19:42:13
Author: serassio
Branch: nt-2_3
Tag: (none) 
Log:
Fixed a shutdown WIN32 bug

Members: 
	src/client_side.c:1.1.1.3.4.6.2.3->1.1.1.3.4.6.2.4 
	src/disk.c:1.1.1.3.4.1.2.4->1.1.1.3.4.1.2.5 
	src/main.c:1.1.1.3.4.2.2.7->1.1.1.3.4.2.2.8 

Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.1.1.3.4.6.2.3
retrieving revision 1.1.1.3.4.6.2.4
diff -u -r1.1.1.3.4.6.2.3 -r1.1.1.3.4.6.2.4
--- squid/src/client_side.c	8 Jul 2001 10:31:59 -0000	1.1.1.3.4.6.2.3
+++ squid/src/client_side.c	10 Jul 2001 19:42:13 -0000	1.1.1.3.4.6.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.1.1.3.4.6.2.3 2001/07/08 10:31:59 serassio Exp $
+ * $Id: client_side.c,v 1.1.1.3.4.6.2.4 2001/07/10 19:42:13 serassio Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -1770,7 +1770,6 @@
 	 * Set the timeout BEFORE calling clientReadRequest().
 	 */
 	commSetTimeout(conn->fd, Config.Timeout.pconn, requestTimeout, conn);
-//	clientReadRequest(conn->fd, conn);	/* Read next request */
 	/*
 	 * CYGWIN has a problem and is blocking on read() requests when there
 	 * is no data present.
Index: squid/src/disk.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/disk.c,v
retrieving revision 1.1.1.3.4.1.2.4
retrieving revision 1.1.1.3.4.1.2.5
diff -u -r1.1.1.3.4.1.2.4 -r1.1.1.3.4.1.2.5
--- squid/src/disk.c	14 Jun 2001 21:34:24 -0000	1.1.1.3.4.1.2.4
+++ squid/src/disk.c	10 Jul 2001 19:42:14 -0000	1.1.1.3.4.1.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: disk.c,v 1.1.1.3.4.1.2.4 2001/06/14 21:34:24 serassio Exp $
+ * $Id: disk.c,v 1.1.1.3.4.1.2.5 2001/07/10 19:42:14 serassio Exp $
  *
  * DEBUG: section 6     Disk I/O Routines
  * AUTHOR: Harvest Derived
@@ -68,7 +68,7 @@
     if (mode & O_WRONLY)
 	mode |= O_APPEND;
 #ifdef _SQUID_MSWIN_ 
-	mode |= _O_BINARY;
+    mode |= _O_BINARY;
     errno = 0;
     if (mode & O_WRONLY) {
 	if (mode & O_TRUNC)
@@ -107,7 +107,7 @@
 file_close(int fd)
 {
 #ifdef _SQUID_MSWIN_
-	FILE *fbuf;
+    FILE *fbuf;
 #endif
     fde *F = &fd_table[fd];
     PF *read_callback;
@@ -141,7 +141,7 @@
     fsync(fd);
 #endif
 #ifdef _SQUID_MSWIN_
-	fbuf=fd_table[fd].fbuf;
+    fbuf=fd_table[fd].fbuf;
     if (fbuf==NULL) close(fd);
 	else fclose(fbuf);
 #else
Index: squid/src/main.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/main.c,v
retrieving revision 1.1.1.3.4.2.2.7
retrieving revision 1.1.1.3.4.2.2.8
diff -u -r1.1.1.3.4.2.2.7 -r1.1.1.3.4.2.2.8
--- squid/src/main.c	3 Jul 2001 21:58:03 -0000	1.1.1.3.4.2.2.7
+++ squid/src/main.c	10 Jul 2001 19:42:14 -0000	1.1.1.3.4.2.2.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.c,v 1.1.1.3.4.2.2.7 2001/07/03 21:58:03 serassio Exp $
+ * $Id: main.c,v 1.1.1.3.4.2.2.8 2001/07/10 19:42:14 serassio Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -1024,7 +1024,11 @@
     errorClean();
 #endif
 #if !XMALLOC_TRACE
+#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
+    if ((WIN32_run_mode == _WIN_SQUID_RUN_MODE_INTERACTIVE) && (opt_no_daemon)) {
+#else
     if (opt_no_daemon) {
+#endif
 	file_close(0);
 	file_close(1);
 	file_close(2);
